TaskPluginInterface Namespace

Task Plugin Interface Documentation
TaskPluginInterface Namespace
CollapseAll image
The TaskPluginInterface namespace is a set of classes, interfaces, enumerations, and events to provide create a Pluggable architecture for application. Using this namespace will provide your application the ability to allow others to write plug ins for your application.

Classes

 | Class | Description
public class | NodeAttributes | Represents the Node Attributes that are available
public class | NodeNames | Contains a list of all of the node names that the schedule config can contain.
public class | PluginAttribute | Used to define the attributes available to a plug-in class.
public class | PluginEventArgs | The event arguments for the Plugin
public class | ScheduleConfig | Helper functions for reading the Schedule from the Configuration file and parsing it into its correct IScheduleItem
public class | Utilities | Contains Utility methods for the TaskPluginInterface library.

Structures

 | Structure | Description
public structure | Progress | This struct is used for reporting status up to the plug-in Host.

Interfaces

 | Interface | Description
public interface | ITaskPlugin | Defines an interface for the plug-in architecture.

Delegates

 | Delegate | Description
public delegate | OnEnd | This delegate is used to signify the end of the Execute
public delegate | OnExceptionOccurred | This is used to notify of an exception.
public delegate | OnProcessing | This is used to notify the progress of the Execute method
public delegate | OnStart | This delegate is used to signify the start of the Execute

Enumerations

 | Enumeration | Description
public enumeration | ExecuteResult | Indicates the result of the Execute Method.
public enumeration | PluginType | Indicates the type of the Plugin
View the project page at http://taskplugin.sourceforge.net

Send comments on this topic to jguadagno@hotmail.com

©2007 Joseph Guadagno


ExecuteResult Enumeration

ExecuteResult Enumeration
CollapseAll image DropDown image

Indicates the result of the Execute Method.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Enumeration ExecuteResult
C#
public enum ExecuteResult
Visual C++
public enum class ExecuteResult

Members

Member | Description
Cancelled | Indicates the Execute method was canceled.
Exception | Indicates the Execute method encountered an exception.
Failed | Indicates the Execute method has failed.
Ok | Indicates the Execute method was successful.


ITaskPlugin Interface

ITaskPlugin Interface
Members
CollapseAll image DropDown image

Defines an interface for the plug-in architecture.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Interface ITaskPlugin
C#
public interface ITaskPlugin
Visual C++
public interface class ITaskPlugin

Remarks

View the project page at http://taskplugin.sourceforge.net

Send comments on this topic to jguadagno@hotmail.com

©2007 Joseph Guadagno


ITaskPlugin Members

ITaskPlugin Members
Properties Methods Events
CollapseAll image DropDown image

Defines an interface for the plug-in architecture.

The following tables list the members exposed by the ITaskPlugin type.

Public Methods

Name | Description
Cancel | Cancels the execution of a plug-in
Execute | Executes the plug-in.

Public Properties

Name | Description
Author | The author of the plug-in.
Description | The description of the plug-in.
Extension | The extension that this plug-in handles.
ExtensionDescription | The description of the extension that this plug-in handles.
Name | The name of the plug-in.
Schedule | Returns the schedule for the plug-in.
Version | The version of the plug-in.

Public Events

Name | Description
EventEnd | This is used to notify plug-in host about the ending of the Execute Method.
EventExceptionOccurred | This is used to notify plug-in host about any Exceptions that have occurred.
EventProcessing | This is used to notify plug-in host about the processing of the Execute Method.
EventStart | This is used to notify the plug-in host about the starting of the Execute Method.


ITaskPlugin Methods

ITaskPlugin Methods
CollapseAll image DropDown image

Defines an interface for the plug-in architecture.

The following tables list the members exposed by the ITaskPlugin type.

Public Methods

Name | Description
Cancel | Cancels the execution of a plug-in
Execute | Executes the plug-in.


Cancel Method

ITaskPlugin..::Cancel Method
CollapseAll image DropDown image

Cancels the execution of a plug-in

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Function Cancel As Boolean
C#
bool Cancel ()
Visual C++
bool Cancel ()

Return Value

True, if the cancel request was excepted, otherwise false.


Execute Method

ITaskPlugin..::Execute Method
CollapseAll image DropDown image

Executes the plug-in.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Function Execute As ExecuteResult
C#
ExecuteResult Execute ()
Visual C++
ExecuteResult Execute ()

Return Value

A ExecuteResult


ITaskPlugin Properties

ITaskPlugin Properties
CollapseAll image DropDown image

Defines an interface for the plug-in architecture.

The following tables list the members exposed by the ITaskPlugin type.

Public Properties

Name | Description
Author | The author of the plug-in.
Description | The description of the plug-in.
Extension | The extension that this plug-in handles.
ExtensionDescription | The description of the extension that this plug-in handles.
Name | The name of the plug-in.
Schedule | Returns the schedule for the plug-in.
Version | The version of the plug-in.


Author Property

ITaskPlugin..::Author Property
CollapseAll image DropDown image

The author of the plug-in.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
ReadOnly Property Author As String
C#
string Author { get; }
Visual C++
property String^ Author {
    String^ get ();
}


Description Property

ITaskPlugin..::Description Property
CollapseAll image DropDown image

The description of the plug-in.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
ReadOnly Property Description As String
C#
string Description { get; }
Visual C++
property String^ Description {
    String^ get ();
}


Extension Property

ITaskPlugin..::Extension Property
CollapseAll image DropDown image

The extension that this plug-in handles.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
ReadOnly Property Extension As String
C#
string Extension { get; }
Visual C++
property String^ Extension {
    String^ get ();
}


ExtensionDescription Property

ITaskPlugin..::ExtensionDescription Property
CollapseAll image DropDown image

The description of the extension that this plug-in handles.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
ReadOnly Property ExtensionDescription As String
C#
string ExtensionDescription { get; }
Visual C++
property String^ ExtensionDescription {
    String^ get ();
}


Name Property

ITaskPlugin..::Name Property
CollapseAll image DropDown image

The name of the plug-in.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
ReadOnly Property Name As String
C#
string Name { get; }
Visual C++
property String^ Name {
    String^ get ();
}


Schedule Property

ITaskPlugin..::Schedule Property
CollapseAll image DropDown image

Returns the schedule for the plug-in.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
ReadOnly Property Schedule As List(Of IScheduledItem)
C#
List<IScheduledItem> Schedule { get; }
Visual C++
property List<IScheduledItem^>^ Schedule {
    List<IScheduledItem^>^ get ();
}


Version Property

ITaskPlugin..::Version Property
CollapseAll image DropDown image

The version of the plug-in.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
ReadOnly Property Version As String
C#
string Version { get; }
Visual C++
property String^ Version {
    String^ get ();
}


ITaskPlugin Events

ITaskPlugin Events
CollapseAll image DropDown image

Defines an interface for the plug-in architecture.

The following tables list the members exposed by the ITaskPlugin type.

Public Events

Name | Description
EventEnd | This is used to notify plug-in host about the ending of the Execute Method.
EventExceptionOccurred | This is used to notify plug-in host about any Exceptions that have occurred.
EventProcessing | This is used to notify plug-in host about the processing of the Execute Method.
EventStart | This is used to notify the plug-in host about the starting of the Execute Method.


EventEnd Event

ITaskPlugin..::EventEnd Event
CollapseAll image DropDown image

This is used to notify plug-in host about the ending of the Execute Method.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Event EventEnd As OnEnd
C#
event OnEnd EventEnd
Visual C++
 event OnEnd^ EventEnd {
    void add (OnEnd^ value);
    void remove (OnEnd^ value);
}


EventExceptionOccurred Event

ITaskPlugin..::EventExceptionOccurred Event
CollapseAll image DropDown image

This is used to notify plug-in host about any Exceptions that have occurred.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Event EventExceptionOccurred As OnExceptionOccurred
C#
event OnExceptionOccurred EventExceptionOccurred
Visual C++
 event OnExceptionOccurred^ EventExceptionOccurred {
    void add (OnExceptionOccurred^ value);
    void remove (OnExceptionOccurred^ value);
}


EventProcessing Event

ITaskPlugin..::EventProcessing Event
CollapseAll image DropDown image

This is used to notify plug-in host about the processing of the Execute Method.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Event EventProcessing As OnProcessing
C#
event OnProcessing EventProcessing
Visual C++
 event OnProcessing^ EventProcessing {
    void add (OnProcessing^ value);
    void remove (OnProcessing^ value);
}


EventStart Event

ITaskPlugin..::EventStart Event
CollapseAll image DropDown image

This is used to notify the plug-in host about the starting of the Execute Method.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Event EventStart As OnStart
C#
event OnStart EventStart
Visual C++
 event OnStart^ EventStart {
    void add (OnStart^ value);
    void remove (OnStart^ value);
}


OnEnd Delegate

OnEnd Delegate
CollapseAll image DropDown image

This delegate is used to signify the end of the Execute

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Delegate Sub OnEnd ( _
    sender As Object, _
    e As PluginEventArgs _
)
C#
public delegate void OnEnd (
    Object sender,
    PluginEventArgs e
)
Visual C++
public delegate void OnEnd (
    Object^ sender,
    PluginEventArgs^ e
)

Parameters

sender
System.Object
A reference to the plug-in the fired the event.
e
TaskPluginInterface.PluginEventArgs
The PluginEventArgs event arguments.


OnExceptionOccurred Delegate

OnExceptionOccurred Delegate
CollapseAll image DropDown image

This is used to notify of an exception.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Delegate Sub OnExceptionOccurred ( _
    sender As Object, _
    e As PluginEventArgs _
)
C#
public delegate void OnExceptionOccurred (
    Object sender,
    PluginEventArgs e
)
Visual C++
public delegate void OnExceptionOccurred (
    Object^ sender,
    PluginEventArgs^ e
)

Parameters

sender
System.Object
A reference to the plug-in the fired the event.
e
TaskPluginInterface.PluginEventArgs
The PluginEventArgs event arguments.


OnProcessing Delegate

OnProcessing Delegate
CollapseAll image DropDown image

This is used to notify the progress of the Execute method

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Delegate Sub OnProcessing ( _
    sender As Object, _
    e As PluginEventArgs _
)
C#
public delegate void OnProcessing (
    Object sender,
    PluginEventArgs e
)
Visual C++
public delegate void OnProcessing (
    Object^ sender,
    PluginEventArgs^ e
)

Parameters

sender
System.Object
A reference to the plug-in the fired the event.
e
TaskPluginInterface.PluginEventArgs
The PluginEventArgs event arguments.


OnStart Delegate

OnStart Delegate
CollapseAll image DropDown image

This delegate is used to signify the start of the Execute

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Delegate Sub OnStart ( _
    sender As Object, _
    e As PluginEventArgs _
)
C#
public delegate void OnStart (
    Object sender,
    PluginEventArgs e
)
Visual C++
public delegate void OnStart (
    Object^ sender,
    PluginEventArgs^ e
)

Parameters

sender
System.Object
A reference to the plug-in the fired the event.
e
TaskPluginInterface.PluginEventArgs
The PluginEventArgs event arguments.


PluginAttribute Class

PluginAttribute Class
Members
CollapseAll image DropDown image

Used to define the attributes available to a plug-in class.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public NotInheritable Class PluginAttribute _
    Inherits Attribute
C#
public sealed class PluginAttribute : Attribute
Visual C++
public ref class PluginAttribute sealed : public Attribute

Inheritance Hierarchy

System.Object
System.Attribute
TaskPluginInterface.PluginAttribute


PluginAttribute Members

PluginAttribute Members
Constructors Properties Methods
CollapseAll image DropDown image

Used to define the attributes available to a plug-in class.

The following tables list the members exposed by the PluginAttribute type.

Public Methods

Name | Description
Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Protected Methods

Name | Description
Finalize | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)

Public Constructors

Name | Description
PluginAttributeNew | The constructor for the attribute.

Public Properties

Name | Description
Type | The PluginType.
TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)


PluginAttribute Constructor

PluginAttribute Constructor
CollapseAll image DropDown image

The constructor for the attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Sub New ( _
    T As PluginType _
)
C#
public PluginAttribute (
    PluginType T
)
Visual C++
public:
PluginAttribute (
    PluginType T
)

Parameters

T
TaskPluginInterface.PluginType
The PluginType


PluginAttribute Methods

PluginAttribute Methods
CollapseAll image DropDown image

Used to define the attributes available to a plug-in class.

The following tables list the members exposed by the PluginAttribute type.

Public Methods

Name | Description
Equals | Returns a value that indicates whether this instance is equal to a specified object. (Inherited from Attribute.)
GetHashCode | Returns the hash code for this instance. (Inherited from Attribute.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
IsDefaultAttribute | When overridden in a derived class, indicates whether the value of this instance is the default value for the derived class. (Inherited from Attribute.)
Match | When overridden in a derived class, returns a value that indicates whether this instance equals a specified object. (Inherited from Attribute.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Protected Methods

Name | Description
Finalize | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)


PluginAttribute Properties

PluginAttribute Properties
CollapseAll image DropDown image

Used to define the attributes available to a plug-in class.

The following tables list the members exposed by the PluginAttribute type.

Public Properties

Name | Description
Type | The PluginType.
TypeId | When implemented in a derived class, gets a unique identifier for this Attribute. (Inherited from Attribute.)


Type Property

PluginAttribute..::Type Property
CollapseAll image DropDown image

The PluginType.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Type As PluginType
C#
public PluginType Type { get; }
Visual C++
public:
property PluginType Type {
    PluginType get ();
}


PluginEventArgs Class

PluginEventArgs Class
Members
CollapseAll image DropDown image

The event arguments for the Plugin

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Class PluginEventArgs _
    Inherits EventArgs
C#
public class PluginEventArgs : EventArgs
Visual C++
public ref class PluginEventArgs : public EventArgs

Inheritance Hierarchy

System.Object
System.EventArgs
TaskPluginInterface.PluginEventArgs


PluginEventArgs Members

PluginEventArgs Members
Constructors Properties Methods
CollapseAll image DropDown image

The event arguments for the Plugin

The following tables list the members exposed by the PluginEventArgs type.

Public Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Protected Methods

Name | Description
Finalize | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)

Public Constructors

Name | Description
PluginEventArgsNew | Creates a new instance of the PluginEventArgs

Public Properties

Name | Description
Cancel | Indicates if the operation should be canceled.
Message | A message returned from the Plugin
Progress | Indicates the current progress of the Plugin.
RaisedException | An exception raised from the Plugin


PluginEventArgs Constructor

PluginEventArgs Constructor
CollapseAll image DropDown image

Creates a new instance of the PluginEventArgs

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Sub New ( _
    progress As Progress, _
    message As String, _
    raisedException As Exception _
)
C#
public PluginEventArgs (
    Utilities.Progress progress,
    string message,
    Exception raisedException
)
Visual C++
public:
PluginEventArgs (
    Progress progress,
    String^ message,
    Exception^ raisedException
)

Parameters

progress
TaskPluginInterface.Progress
A Progress struct which indicates the current progress of the Plugin
message
System.String
A message to return back to the plug-in Host
raisedException
System.Exception
Any exception that might have been raised.


PluginEventArgs Methods

PluginEventArgs Methods
CollapseAll image DropDown image

The event arguments for the Plugin

The following tables list the members exposed by the PluginEventArgs type.

Public Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. GetHashCode() is suitable for use in hashing algorithms and data structures like a hash table. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Protected Methods

Name | Description
Finalize | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)


PluginEventArgs Properties

PluginEventArgs Properties
CollapseAll image DropDown image

The event arguments for the Plugin

The following tables list the members exposed by the PluginEventArgs type.

Public Properties

Name | Description
Cancel | Indicates if the operation should be canceled.
Message | A message returned from the Plugin
Progress | Indicates the current progress of the Plugin.
RaisedException | An exception raised from the Plugin


Cancel Property

PluginEventArgs..::Cancel Property
CollapseAll image DropDown image

Indicates if the operation should be canceled.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Property Cancel As Boolean
C#
public bool Cancel { get; set; }
Visual C++
public:
property bool Cancel {
    bool get ();
    void set (bool value);
}


Message Property

PluginEventArgs..::Message Property
CollapseAll image DropDown image

A message returned from the Plugin

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Message As String
C#
public string Message { get; }
Visual C++
public:
property String^ Message {
    String^ get ();
}


Progress Property

PluginEventArgs..::Progress Property
CollapseAll image DropDown image

Indicates the current progress of the Plugin.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Progress As Progress
C#
public Utilities.Progress Progress { get; }
Visual C++
public:
property Progress Progress {
    Progress get ();
}


RaisedException Property

PluginEventArgs..::RaisedException Property
CollapseAll image DropDown image

An exception raised from the Plugin

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public ReadOnly Property RaisedException As Exception
C#
public Exception RaisedException { get; }
Visual C++
public:
property Exception^ RaisedException {
    Exception^ get ();
}


PluginType Enumeration

PluginType Enumeration
CollapseAll image DropDown image

Indicates the type of the Plugin

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Enumeration PluginType
C#
public enum PluginType
Visual C++
public enum class PluginType

Members

Member | Description
Executable | Indicates the plug-in is used for launching executables.
Import | Indicates the plug-in is used for importing data.
SQL | Indicates the plug-in is used for processing SQL statements.
Unknown | Denotes the type of plug-in is not known.


ScheduleConfig Class

ScheduleConfig Class
Members
CollapseAll image DropDown image

Helper functions for reading the Schedule from the Configuration file and parsing it into its correct IScheduleItem

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public NotInheritable Class ScheduleConfig
C#
public static class ScheduleConfig
Visual C++
public ref class ScheduleConfig abstract sealed

Inheritance Hierarchy

System.Object
TaskPluginInterface.ScheduleConfig


ScheduleConfig Members

ScheduleConfig Members
Methods
CollapseAll image DropDown image

Helper functions for reading the Schedule from the Configuration file and parsing it into its correct IScheduleItem

The following tables list the members exposed by the ScheduleConfig type.

Public Methods

Name | Description
GetBlockWrapper | Reads the XmlNode and returns a SimpleInterval
GetEventQueue | Reads the XmlNode and returns an EventQueue
GetScheduledTime | Reads the XmlNode and returns a ScheduledTime
GetSimpleInterval | Reads the XmlNode and returns a SimpleInterval
GetSingleEvent | Read the XmlNode and returns a SingleEvent
Load | Loads the schedule configuration from the passed XML configuration section


ScheduleConfig Methods

ScheduleConfig Methods
CollapseAll image DropDown image

Helper functions for reading the Schedule from the Configuration file and parsing it into its correct IScheduleItem

The following tables list the members exposed by the ScheduleConfig type.

Public Methods

Name | Description
GetBlockWrapper | Reads the XmlNode and returns a SimpleInterval
GetEventQueue | Reads the XmlNode and returns an EventQueue
GetScheduledTime | Reads the XmlNode and returns a ScheduledTime
GetSimpleInterval | Reads the XmlNode and returns a SimpleInterval
GetSingleEvent | Read the XmlNode and returns a SingleEvent
Load | Loads the schedule configuration from the passed XML configuration section


GetBlockWrapper Method

ScheduleConfig..::GetBlockWrapper Method
Example
CollapseAll image DropDown image

Reads the XmlNode and returns a SimpleInterval

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetBlockWrapper ( _
    node As XmlNode _
) As BlockWrapper
C#
public static BlockWrapper GetBlockWrapper (
    XmlNode node
)
Visual C++
public:
static BlockWrapper^ GetBlockWrapper (
    XmlNode^ node
)

Parameters

node
System.Xml.XmlNode
The BlockWrapper XmlNode

Return Value

A BlockWrapper

Remarks

The Blockwrapper requires a Base, BeginOffset and EndOffset attributes and a Child node of an IScheduledItem

Examples

<BlockWrapper Base="" BeginOffset="" EndOffset>
<SimpleInterval StartTime="" Interval="" EndTime="" />
<BlockWrapper>


GetEventQueue Method

ScheduleConfig..::GetEventQueue Method
Example
CollapseAll image DropDown image

Reads the XmlNode and returns an EventQueue

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetEventQueue ( _
    node As XmlNode _
) As EventQueue
C#
public static EventQueue GetEventQueue (
    XmlNode node
)
Visual C++
public:
static EventQueue^ GetEventQueue (
    XmlNode^ node
)

Parameters

node
System.Xml.XmlNode
The EventQueue node to parse

Return Value

An EventQueue

Remarks

The EventQueue contains one or more IScheduleItems

Examples

<EventQueue>
<SimpleInterval StartTime="" Interval="" EndTime="" />
<SimpleInterval StartTime="" Interval="" />
<SimpleInterval StartTime="" Interval="" Count="" />
</EventQueue>


GetScheduledTime Method

ScheduleConfig..::GetScheduledTime Method
CollapseAll image DropDown image

Reads the XmlNode and returns a ScheduledTime

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetScheduledTime ( _
    node As XmlNode _
) As ScheduledTime
C#
public static ScheduledTime GetScheduledTime (
    XmlNode node
)
Visual C++
public:
static ScheduledTime^ GetScheduledTime (
    XmlNode^ node
)

Parameters

node
System.Xml.XmlNode
The ScheduledTime XML Node

Return Value

A ScheduledTime

Remarks

There is one valid attribute combination available for a ScheduledTime object.
The Node must have a Base and Offset attribute.

Examples

<ScheduledTime Base="" Offset="" />


GetSimpleInterval Method

ScheduleConfig..::GetSimpleInterval Method
Example
CollapseAll image DropDown image

Reads the XmlNode and returns a SimpleInterval

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetSimpleInterval ( _
    node As XmlNode _
) As SimpleInterval
C#
public static SimpleInterval GetSimpleInterval (
    XmlNode node
)
Visual C++
public:
static SimpleInterval^ GetSimpleInterval (
    XmlNode^ node
)

Parameters

node
System.Xml.XmlNode
The SimpleInterval XmlNode to parse.

Return Value

A SimpleInterval

Remarks

There are three available combinations for the SimpleInterval node.
StartTime, Interval, EndTime
StartTime, Interval
StartTime, Interval, Count

Examples

<SimpleInterval StartTime="" Interval="" EndTime="" />
<SimpleInterval StartTime="" Interval="" />
<SimpleInterval StartTime="" Interval="" Count="" />


GetSingleEvent Method

ScheduleConfig..::GetSingleEvent Method
Example
CollapseAll image DropDown image

Read the XmlNode and returns a SingleEvent

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetSingleEvent ( _
    node As XmlNode _
) As SingleEvent
C#
public static SingleEvent GetSingleEvent (
    XmlNode node
)
Visual C++
public:
static SingleEvent^ GetSingleEvent (
    XmlNode^ node
)

Parameters

node
System.Xml.XmlNode
The SingleEvent XmlNode to parse.

Return Value

A SingleEvent

Remarks

There is one available option for the SingleEvent node.

Examples

<SingleEvent EventTime="">


Load Method

ScheduleConfig..::Load Method
CollapseAll image DropDown image

Loads the schedule configuration from the passed XML configuration section

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function Load ( _
    configSection As String _
) As List(Of IScheduledItem)
C#
public static List<IScheduledItem> Load (
    string configSection
)
Visual C++
public:
static List<IScheduledItem^>^ Load (
    String^ configSection
)

Parameters

configSection
System.String
A configuration section to parse

Return Value

A List<IScheduledItem> items

Exceptions

Exception | Condition
System.Configuration.ConfigurationErrorsException |


ScheduleConfig.NodeAttributes Class

ScheduleConfig.NodeAttributes Class
Members
CollapseAll image DropDown image

Represents the Node Attributes that are available

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public NotInheritable Class NodeAttributes
C#
public static class NodeAttributes
Visual C++
public ref class NodeAttributes abstract sealed

Inheritance Hierarchy

System.Object
TaskPluginInterface.NodeAttributes


ScheduleConfig.NodeAttributes Members

ScheduleConfig.NodeAttributes Members
Fields
CollapseAll image DropDown image

Represents the Node Attributes that are available

The following tables list the members exposed by the NodeAttributes type.

Public Fields

Name | Description
Base | The string representative of the Base attribute.
BeginOffset | The string representative of the BeginOffset attribute.
Count | The string representative of the Count attribute.
EndOffset | The string representative of the EndOffset attribute.
EndTime | The string representative of the EndTime attribute.
EventTime | The string representative of the EventTime attribute.
Interval | The string representative of the Interval attribute.
IScheduleItem | The string representative of the IScheduleItem attribute.
Offset | The string representative of the Offset attribute.
StartTime | The string representative of the StartTime attribute.


ScheduleConfig.NodeAttributes Fields

ScheduleConfig.NodeAttributes Fields
CollapseAll image DropDown image

Represents the Node Attributes that are available

The following tables list the members exposed by the NodeAttributes type.

Public Fields

Name | Description
Base | The string representative of the Base attribute.
BeginOffset | The string representative of the BeginOffset attribute.
Count | The string representative of the Count attribute.
EndOffset | The string representative of the EndOffset attribute.
EndTime | The string representative of the EndTime attribute.
EventTime | The string representative of the EventTime attribute.
Interval | The string representative of the Interval attribute.
IScheduleItem | The string representative of the IScheduleItem attribute.
Offset | The string representative of the Offset attribute.
StartTime | The string representative of the StartTime attribute.


Base Field

ScheduleConfig.NodeAttributes..::Base Field
CollapseAll image DropDown image

The string representative of the Base attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Base As String
C#
public const string Base
Visual C++
public:
literal String^ Base


BeginOffset Field

ScheduleConfig.NodeAttributes..::BeginOffset Field
CollapseAll image DropDown image

The string representative of the BeginOffset attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const BeginOffset As String
C#
public const string BeginOffset
Visual C++
public:
literal String^ BeginOffset


Count Field

ScheduleConfig.NodeAttributes..::Count Field
CollapseAll image DropDown image

The string representative of the Count attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Count As String
C#
public const string Count
Visual C++
public:
literal String^ Count


EndOffset Field

ScheduleConfig.NodeAttributes..::EndOffset Field
CollapseAll image DropDown image

The string representative of the EndOffset attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const EndOffset As String
C#
public const string EndOffset
Visual C++
public:
literal String^ EndOffset


EndTime Field

ScheduleConfig.NodeAttributes..::EndTime Field
CollapseAll image DropDown image

The string representative of the EndTime attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const EndTime As String
C#
public const string EndTime
Visual C++
public:
literal String^ EndTime


EventTime Field

ScheduleConfig.NodeAttributes..::EventTime Field
CollapseAll image DropDown image

The string representative of the EventTime attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const EventTime As String
C#
public const string EventTime
Visual C++
public:
literal String^ EventTime


Interval Field

ScheduleConfig.NodeAttributes..::Interval Field
CollapseAll image DropDown image

The string representative of the Interval attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Interval As String
C#
public const string Interval
Visual C++
public:
literal String^ Interval


IScheduleItem Field

ScheduleConfig.NodeAttributes..::IScheduleItem Field
CollapseAll image DropDown image

The string representative of the IScheduleItem attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const IScheduleItem As String
C#
public const string IScheduleItem
Visual C++
public:
literal String^ IScheduleItem


Offset Field

ScheduleConfig.NodeAttributes..::Offset Field
CollapseAll image DropDown image

The string representative of the Offset attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Offset As String
C#
public const string Offset
Visual C++
public:
literal String^ Offset


StartTime Field

ScheduleConfig.NodeAttributes..::StartTime Field
CollapseAll image DropDown image

The string representative of the StartTime attribute.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const StartTime As String
C#
public const string StartTime
Visual C++
public:
literal String^ StartTime


ScheduleConfig.NodeNames Class

ScheduleConfig.NodeNames Class
Members
CollapseAll image DropDown image

Contains a list of all of the node names that the schedule config can contain.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public NotInheritable Class NodeNames
C#
public static class NodeNames
Visual C++
public ref class NodeNames abstract sealed

Inheritance Hierarchy

System.Object
TaskPluginInterface.NodeNames


ScheduleConfig.NodeNames Members

ScheduleConfig.NodeNames Members
Fields
CollapseAll image DropDown image

Contains a list of all of the node names that the schedule config can contain.

The following tables list the members exposed by the NodeNames type.

Public Fields

Name | Description
BlockWrapper | The string representative of the BlockWrapper node.
EventQueue | The string representative of the EventQueue node.
Schedule | The string representative of the Schedule node.
ScheduledTime | The string representative of the ScheduledTime node.
SimpleInterval | The string representative of the SimpleInterval node.
SingleEvent | The string representative of the SingleEvent node.


ScheduleConfig.NodeNames Fields

ScheduleConfig.NodeNames Fields
CollapseAll image DropDown image

Contains a list of all of the node names that the schedule config can contain.

The following tables list the members exposed by the NodeNames type.

Public Fields

Name | Description
BlockWrapper | The string representative of the BlockWrapper node.
EventQueue | The string representative of the EventQueue node.
Schedule | The string representative of the Schedule node.
ScheduledTime | The string representative of the ScheduledTime node.
SimpleInterval | The string representative of the SimpleInterval node.
SingleEvent | The string representative of the SingleEvent node.


BlockWrapper Field

ScheduleConfig.NodeNames..::BlockWrapper Field
CollapseAll image DropDown image

The string representative of the BlockWrapper node.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const BlockWrapper As String
C#
public const string BlockWrapper
Visual C++
public:
literal String^ BlockWrapper


EventQueue Field

ScheduleConfig.NodeNames..::EventQueue Field
CollapseAll image DropDown image

The string representative of the EventQueue node.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const EventQueue As String
C#
public const string EventQueue
Visual C++
public:
literal String^ EventQueue


Schedule Field

ScheduleConfig.NodeNames..::Schedule Field
CollapseAll image DropDown image

The string representative of the Schedule node.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Schedule As String
C#
public const string Schedule
Visual C++
public:
literal String^ Schedule


ScheduledTime Field

ScheduleConfig.NodeNames..::ScheduledTime Field
CollapseAll image DropDown image

The string representative of the ScheduledTime node.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const ScheduledTime As String
C#
public const string ScheduledTime
Visual C++
public:
literal String^ ScheduledTime


SimpleInterval Field

ScheduleConfig.NodeNames..::SimpleInterval Field
CollapseAll image DropDown image

The string representative of the SimpleInterval node.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const SimpleInterval As String
C#
public const string SimpleInterval
Visual C++
public:
literal String^ SimpleInterval


SingleEvent Field

ScheduleConfig.NodeNames..::SingleEvent Field
CollapseAll image DropDown image

The string representative of the SingleEvent node.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const SingleEvent As String
C#
public const string SingleEvent
Visual C++
public:
literal String^ SingleEvent


Utilities Class

Utilities Class
Members
CollapseAll image DropDown image

Contains Utility methods for the TaskPluginInterface library.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public NotInheritable Class Utilities
C#
public static class Utilities
Visual C++
public ref class Utilities abstract sealed

Inheritance Hierarchy

System.Object
TaskPluginInterface.Utilities


Utilities Members

Utilities Members
Methods
CollapseAll image DropDown image

Contains Utility methods for the TaskPluginInterface library.

The following tables list the members exposed by the Utilities type.

Public Methods

Name | Description
FileContainsPlugins | Overloaded.
GetPlugin | Returns a ITaskPlugin
GetPluginFileList | Overloaded.
GetPluginFolder | Returns a fully qualified path to the plug-in directory based on the folder name passed.
GetPlugins | Overloaded.


Utilities Methods

Utilities Methods
CollapseAll image DropDown image

Contains Utility methods for the TaskPluginInterface library.

The following tables list the members exposed by the Utilities type.

Public Methods

Name | Description
FileContainsPlugins | Overloaded.
GetPlugin | Returns a ITaskPlugin
GetPluginFileList | Overloaded.
GetPluginFolder | Returns a fully qualified path to the plug-in directory based on the folder name passed.
GetPlugins | Overloaded.


FileContainsPlugins Method

.Utilities..::FileContainsPlugins Method
CollapseAll image

Members

Name | Description
FileContainsPlugins(String) | Returns a boolean to indicate if the specfied filename contains plugin
FileContainsPlugins(String, PluginType) | Returns a boolean to indicate if the specfied filename contains plug-in of the PluginType type.


FileContainsPlugins Method (String)

Utilities..::FileContainsPlugins Method (String)
CollapseAll image DropDown image

Returns a boolean to indicate if the specfied filename contains plugin

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function FileContainsPlugins ( _
    filename As String _
) As Boolean
C#
public static bool FileContainsPlugins (
    string filename
)
Visual C++
public:
static bool FileContainsPlugins (
    String^ filename
)

Parameters

filename
System.String
The file name to check for plugins

Return Value

A true if the file has at least one plugin, otherwise false.


FileContainsPlugins Method (String, PluginType)

Utilities..::FileContainsPlugins Method (String, PluginType)
CollapseAll image DropDown image

Returns a boolean to indicate if the specfied filename contains plug-in of the PluginType type.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function FileContainsPlugins ( _
    filename As String, _
    pluginType As PluginType _
) As Boolean
C#
public static bool FileContainsPlugins (
    string filename,
    PluginType pluginType
)
Visual C++
public:
static bool FileContainsPlugins (
    String^ filename,
    PluginType pluginType
)

Parameters

filename
System.String
The file name to check for plugins
pluginType
TaskPluginInterface.PluginType
A PluginType to look for.

Return Value

A true if the file has at least one plug-in of the specified plug-in type, otherwise false.


GetPlugin Method

Utilities..::GetPlugin Method
CollapseAll image DropDown image

Returns a ITaskPlugin

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetPlugin ( _
    filename As String, _
    className As String _
) As ITaskPlugin
C#
public static ITaskPlugin GetPlugin (
    string filename,
    string className
)
Visual C++
public:
static ITaskPlugin^ GetPlugin (
    String^ filename,
    String^ className
)

Parameters

filename
System.String
The filename that contains the Plugin
className
System.String
The class name to load

Return Value

A Type that is inherited from ITaskPlugin, if available, otherwise null.


GetPluginFileList Method

.Utilities..::GetPluginFileList Method
CollapseAll image

Members

Name | Description
GetPluginFileList(String) | Gets a list of files within the specified folder that contains Plugins.
GetPluginFileList(String, PluginType) | Gets a list of files within the specified folder that contains Plugins of the specified type


GetPluginFileList Method (String)

Utilities..::GetPluginFileList Method (String)
CollapseAll image DropDown image

Gets a list of files within the specified folder that contains Plugins.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetPluginFileList ( _
    folder As String _
) As List(Of FileInfo)
C#
public static List<FileInfo> GetPluginFileList (
    string folder
)
Visual C++
public:
static List<FileInfo^>^ GetPluginFileList (
    String^ folder
)

Parameters

folder
System.String
The folder in which you want to get a plug-in list.

Return Value

A List of files that contain valid ITaskPlugin's


GetPluginFileList Method (String, PluginType)

Utilities..::GetPluginFileList Method (String, PluginType)
CollapseAll image DropDown image

Gets a list of files within the specified folder that contains Plugins of the specified type

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetPluginFileList ( _
    folder As String, _
    pluginType As PluginType _
) As List(Of FileInfo)
C#
public static List<FileInfo> GetPluginFileList (
    string folder,
    PluginType pluginType
)
Visual C++
public:
static List<FileInfo^>^ GetPluginFileList (
    String^ folder,
    PluginType pluginType
)

Parameters

folder
System.String
The folder in which you want to get a plug-in list.
pluginType
TaskPluginInterface.PluginType
The Plugin Type to return.

Return Value

A List of files that contain valid ITaskPlugins


GetPluginFolder Method

Utilities..::GetPluginFolder Method
CollapseAll image DropDown image

Returns a fully qualified path to the plug-in directory based on the folder name passed.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetPluginFolder ( _
    folderName As String _
) As String
C#
public static string GetPluginFolder (
    string folderName
)
Visual C++
public:
static String^ GetPluginFolder (
    String^ folderName
)

Parameters

folderName
System.String
The folder name to try and use as the plug-in folder

Return Value

A fully qualified path to the plug-in folder.

Remarks

First checks to see if the path specified exists, if so returns it.
Second, it try to see if the path is relative, if so returns it.
Third, it tries to create the directory, if successful it creates and returns the directory.
null is returned if all three fail.


GetPlugins Method

.Utilities..::GetPlugins Method
CollapseAll image

Members

Name | Description
GetPlugins(String) | Gets a List of ITaskPlugin from the specified filename.
GetPlugins(String, PluginType) | Gets a List of ITaskPlugin from the specified filename and Plugin type.


GetPlugins Method (String)

Utilities..::GetPlugins Method (String)
CollapseAll image DropDown image

Gets a List of ITaskPlugin from the specified filename.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetPlugins ( _
    filename As String _
) As List(Of String)
C#
public static List<string> GetPlugins (
    string filename
)
Visual C++
public:
static List<String^>^ GetPlugins (
    String^ filename
)

Parameters

filename
System.String
A file to load the Plugins from

Return Value

A list of Plugins


GetPlugins Method (String, PluginType)

Utilities..::GetPlugins Method (String, PluginType)
CollapseAll image DropDown image

Gets a List of ITaskPlugin from the specified filename and Plugin type.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Shared Function GetPlugins ( _
    filename As String, _
    pluginType As PluginType _
) As List(Of String)
C#
public static List<string> GetPlugins (
    string filename,
    PluginType pluginType
)
Visual C++
public:
static List<String^>^ GetPlugins (
    String^ filename,
    PluginType pluginType
)

Parameters

filename
System.String
A file to load the Plugins from.
pluginType
TaskPluginInterface.PluginType
A plugin type.

Return Value

A list of Plugins.


Utilities.Progress Structure

Utilities.Progress Structure
Members
CollapseAll image DropDown image

This struct is used for reporting status up to the plug-in Host.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Structure Progress
C#
public struct Progress
Visual C++
public value class Progress


Utilities.Progress Members

Utilities.Progress Members
Constructors Properties Methods
CollapseAll image DropDown image

This struct is used for reporting status up to the plug-in Host.

The following tables list the members exposed by the Progress type.

Public Methods

Name | Description
Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)

Protected Methods

Name | Description
Finalize | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)

Public Constructors

Name | Description
ProgressNew | Creates a Progress item

Public Properties

Name | Description
CurrentItem | Indicates the current item that the plug-in is processing. This will be used for reporting progress.
CurrentTask | Indicates the current task that the plug-in is processing. This will be used for reporting progress.
TotalItems | Indicates the total number of item that the plug-in will process for the current task. This will be used for reporting progress.
TotalTasks | Indicates the total number of task that the plug-in will execute. This will be used for reporting progress.


Utilities.Progress Constructor

Utilities.Progress Constructor
CollapseAll image DropDown image

Creates a Progress item

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Sub New ( _
    currentItem As Integer, _
    totalItems As Integer, _
    currentTask As Integer, _
    totalTasks As Integer _
)
C#
public Progress (
    int currentItem,
    int totalItems,
    int currentTask,
    int totalTasks
)
Visual C++
public:
Progress (
    int currentItem,
    int totalItems,
    int currentTask,
    int totalTasks
)

Parameters

currentItem
System.Int32
The current item being processed.
totalItems
System.Int32
The total number of items to process.
currentTask
System.Int32
The current task being processed. (Zero based)
totalTasks
System.Int32
The total number of tasks to process.


Utilities.Progress Methods

Utilities.Progress Methods
CollapseAll image DropDown image

This struct is used for reporting status up to the plug-in Host.

The following tables list the members exposed by the Progress type.

Public Methods

Name | Description
Equals | Indicates whether this instance and a specified object are equal. (Inherited from ValueType.)
GetHashCode | Returns the hash code for this instance. (Inherited from ValueType.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns the fully qualified type name of this instance. (Inherited from ValueType.)

Protected Methods

Name | Description
Finalize | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection. (Inherited from Object.)
MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)


Utilities.Progress Properties

Utilities.Progress Properties
CollapseAll image DropDown image

This struct is used for reporting status up to the plug-in Host.

The following tables list the members exposed by the Progress type.

Public Properties

Name | Description
CurrentItem | Indicates the current item that the plug-in is processing. This will be used for reporting progress.
CurrentTask | Indicates the current task that the plug-in is processing. This will be used for reporting progress.
TotalItems | Indicates the total number of item that the plug-in will process for the current task. This will be used for reporting progress.
TotalTasks | Indicates the total number of task that the plug-in will execute. This will be used for reporting progress.


CurrentItem Property

Utilities.Progress..::CurrentItem Property
CollapseAll image DropDown image

Indicates the current item that the plug-in is processing.
This will be used for reporting progress.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Property CurrentItem As Integer
C#
public int CurrentItem { get; set; }
Visual C++
public:
property int CurrentItem {
    int get ();
    void set (int value);
}


CurrentTask Property

Utilities.Progress..::CurrentTask Property
CollapseAll image DropDown image

Indicates the current task that the plug-in is processing.
This will be used for reporting progress.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Property CurrentTask As Integer
C#
public int CurrentTask { get; set; }
Visual C++
public:
property int CurrentTask {
    int get ();
    void set (int value);
}


TotalItems Property

Utilities.Progress..::TotalItems Property
CollapseAll image DropDown image

Indicates the total number of item that the plug-in will process for the current task.
This will be used for reporting progress.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Property TotalItems As Integer
C#
public int TotalItems { get; set; }
Visual C++
public:
property int TotalItems {
    int get ();
    void set (int value);
}


TotalTasks Property

Utilities.Progress..::TotalTasks Property
CollapseAll image DropDown image

Indicates the total number of task that the plug-in will execute.
This will be used for reporting progress.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Property TotalTasks As Integer
C#
public int TotalTasks { get; set; }
Visual C++
public:
property int TotalTasks {
    int get ();
    void set (int value);
}


SQL Field

PluginType..::SQL Field
CollapseAll image DropDown image

Indicates the plug-in is used for processing SQL statements.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const SQL As PluginType
C#
public const PluginType SQL
Visual C++
public:
literal PluginType SQL


Cancelled Field

ExecuteResult..::Cancelled Field
CollapseAll image DropDown image

Indicates the Execute method was canceled.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Cancelled As ExecuteResult
C#
public const ExecuteResult Cancelled
Visual C++
public:
literal ExecuteResult Cancelled


ExecuteResult Fields

ExecuteResult Fields
CollapseAll image DropDown image

Indicates the result of the Execute Method.

The following tables list the members exposed by the ExecuteResult type.

Public Fields

Name | Description
Cancelled | Indicates the Execute method was canceled.
Exception | Indicates the Execute method encountered an exception.
Failed | Indicates the Execute method has failed.
Ok | Indicates the Execute method was successful.


Ok Field

ExecuteResult..::Ok Field
CollapseAll image DropDown image

Indicates the Execute method was successful.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Ok As ExecuteResult
C#
public const ExecuteResult Ok
Visual C++
public:
literal ExecuteResult Ok


Failed Field

ExecuteResult..::Failed Field
CollapseAll image DropDown image

Indicates the Execute method has failed.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Failed As ExecuteResult
C#
public const ExecuteResult Failed
Visual C++
public:
literal ExecuteResult Failed


Import Field

PluginType..::Import Field
CollapseAll image DropDown image

Indicates the plug-in is used for importing data.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Import As PluginType
C#
public const PluginType Import
Visual C++
public:
literal PluginType Import


PluginType Fields

PluginType Fields
CollapseAll image DropDown image

Indicates the type of the Plugin

The following tables list the members exposed by the PluginType type.

Public Fields

Name | Description
Executable | Indicates the plug-in is used for launching executables.
Import | Indicates the plug-in is used for importing data.
SQL | Indicates the plug-in is used for processing SQL statements.
Unknown | Denotes the type of plug-in is not known.


Task Plugin Interface

Task Plugin Interface
CollapseAll image

Namespaces

Namespace | Description
TaskPluginInterface | The TaskPluginInterface namespace is a set of classes, interfaces, enumerations, and events to provide create a Pluggable architecture for application. Using this namespace will provide your application the ability to allow others to write plug ins for your application.


Unknown Field

PluginType..::Unknown Field
CollapseAll image DropDown image

Denotes the type of plug-in is not known.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Unknown As PluginType
C#
public const PluginType Unknown
Visual C++
public:
literal PluginType Unknown


Executable Field

PluginType..::Executable Field
CollapseAll image DropDown image

Indicates the plug-in is used for launching executables.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Executable As PluginType
C#
public const PluginType Executable
Visual C++
public:
literal PluginType Executable


Exception Field

ExecuteResult..::Exception Field
CollapseAll image DropDown image

Indicates the Execute method encountered an exception.

Namespace: TaskPluginInterface
Assembly: TaskPluginInterface (in TaskPluginInterface)
Version: 1.0.0.16123

Syntax

Visual Basic (Declaration)
Public Const Exception As ExecuteResult
C#
public const ExecuteResult Exception
Visual C++
public:
literal ExecuteResult Exception